Skip to main content
GET
List Native Auth users

Authorizations

Authorization
string
header
required

WorkOS access JWT or a user-owned WorkOS API key. User keys are bound to one organization and restricted to their enabled product permissions. Session-only onboarding and session revocation require an interactive access JWT. No cookie session is assumed.

Headers

X-Request-Id
string

Optional caller-provided correlation identifier.

Required string length: 1 - 128

Path Parameters

project_id
string
required

Project identifier.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
environment_id
string
required

Environment identifier.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string
Required string length: 1 - 1024
Required string length: 1 - 320

Response

Current authorized resource.

items
object[]
required
nextCursor
string | null
required